%global gitdate          20240724
%global commit           46bb4c073624226c3f05b37b9ecc50bbcf543f5a
%global shortcommit      %(c=%{commit}; echo ${c:0:7})

%global version          1.32
%global release          20

# set this to "1" if building a git/beta/rc release
%global beta_or_rc       1


#=============================================================================
# general
#-----------------------------------------------------------------------------
Name:           rkdeveloptool
Version:        %{version}
#%%if %%{beta_or_rc}
Release:        %{release}.%{gitdate}.git%{shortcommit}%{?dist}
#%%else
#Release:        %%{release}%%{?dist}
#%%endif
Summary:        Tools for working with Rockchip processors
License:        GPL-2.0-only
URL:            https://github.com/rockchip-linux/rkdeveloptool
%if %{beta_or_rc}
Source0:        https://github.com/rockchip-linux/rkdeveloptool/archive/%{commit}/%{name}-%{version}-git%{shortcommit}.tar.gz
%else
Source0:        https://github.com/rockchip-linux/rkdeveloptool/archive/%{version}/%{name}-%{version}.tar.gz
%endif
Source1:        rkdeveloptool.udev
# https://sources.debian.org/patches/rkdeveloptool/1.32%2Bgit20210408.46bb4c0-3/
Patch0:         0001-Simplify-convertChipType-and-fix-truncation-error.patch.patch
Patch1:         rkdeveloptool-PR48.patch
#
BuildRequires:  autoconf automake
BuildRequires:  make
BuildRequires:  gcc-c++
BuildRequires:  libusb1-devel
BuildRequires:  systemd-devel

%description
This package provides tools to communicate with various Rockchip processors
which support the RockUSB protocol (e.g rk3288, rk3328, rk3399, rk356x).
The tool includes support to interact with the processors' low-level bootrom
(known as MaskROM) as well as interact with the recovery or firmware-download
protocol rockusb. This makes it possible to upload firmware to flash, download
firmware from flash, erase flash, reset the device, read manufacturing
information from the processor as well as various other commands.


#=============================================================================
# prep
#-----------------------------------------------------------------------------
%prep
%if %{beta_or_rc}
%autosetup -p1 -n %{name}
%else
%autosetup -p1 -n %{name}-%{version}
%endif


#=============================================================================
# build
#-----------------------------------------------------------------------------
%build
NOCONFIGURE=1 autoreconf -vif
%configure

%make_build


#=============================================================================
# install
#-----------------------------------------------------------------------------
%install
%make_install

# install udev rules
install -D -m 0644 %{SOURCE1} %{buildroot}%{_udevrulesdir}/99-rkdeveloptool.rules


#=============================================================================
# files
#-----------------------------------------------------------------------------
%files
%license license.txt
%doc Readme.txt
%{_bindir}/rkdeveloptool
%{_udevrulesdir}/99-rkdeveloptool.rules


#=============================================================================
# changelog
#-----------------------------------------------------------------------------
%changelog
* Wed Jul 24 2024 Patrick Laimbock <patrick@laimbock.com> - 1.32-20
- sync with fedora spec
- push release well past the fedora one (currently 9)
- add RK3568 to udev rules
- add rkdeveloptool-PR48.patch

* Wed Jul 24 2024 Patrick Laimbock <patrick@laimbock.com> - 1.32-0.1
- initial release for F40
- patch from the debian package

